Skip to content
中文

GET /higgsfield/tpl/motions

Method: GETEndpoint: /higgsfield/tpl/motions

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

Request Parameters

Query Parameters

text
size
integer
Number of templates returned
Optional
Example:
30
search
string
Search keywords
Optional

Header Parameters

text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}

Body Parameters application/json

text
size
integer
Items returned per page
Optional
Default Value:
30
search
string
Search keywords
Optional
Example
{
"size"
:
30
,
"search"
:
"string"
}

Example Request

Shell

bash
curl --location --request GET '/higgsfield/tpl/motions?size=30&search=' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "size": 30,
    "search": "string"
}'

Response

🟢 200 Success

Content Type: application/json

Response Schema

text
Array of:
id
string
Optional
name
string
Optional
media
object
Optional
width
integer
Required
height
integer
Required
url
string
Required
type
string
Required
priority
integer
Optional
tags
array
[string]
Optional
params
null
Optional
categories
array
[string]
Optional

Example

json
[
  {
    "id": "f226ac67-43d3-4726-ad9c-132608bda8b3",
    "name": "Eyes In",
    "media": {
      "width": 320,
      "height": 202,
      "url": "https://d1xarpci4ikg0w.cloudfront.net/a8caa3db-bcf2-4e30-b5fe-37fafdd59140.webp",
      "type": "animated"
    },
    "priority": -1,
    "tags": [],
    "params": null,
    "categories": ["vfx", "epic_camera_control"]
  }
]